Loading...
Searching...
No Matches
pdumodel::OutletGroupManager::GroupDeletedEvent Struct Reference

Event: An outlet group has been deleted. More...

`import <OutletGroupManager.idl;`

Inheritance diagram for pdumodel::OutletGroupManager::GroupDeletedEvent:

## Public Attributes

int | id
| The ID under which the outlet group manager referenced the group.
int | uniqueId
| Random unique ID of the deleted group.
OutletGroup::Settings | settings
| Last group settings before deletion.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: An outlet group has been deleted.

Definition at line 31 of file OutletGroupManager.idl.

## Member Data Documentation

## id

int pdumodel::OutletGroupManager::GroupDeletedEvent::id

The ID under which the outlet group manager referenced the group.

Definition at line 32 of file OutletGroupManager.idl.

## settings

OutletGroup::Settings pdumodel::OutletGroupManager::GroupDeletedEvent::settings

Last group settings before deletion.

Definition at line 35 of file OutletGroupManager.idl.

## uniqueId

int pdumodel::OutletGroupManager::GroupDeletedEvent::uniqueId

Random unique ID of the deleted group.

Definition at line 34 of file OutletGroupManager.idl.

The documentation for this struct was generated from the following file:

- OutletGroupManager.idl